com.genesyslab.wfm8.API.service.schedule852

## Class SchStateDetails

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchStateDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateDetails
      extends java.lang.Object
      implements java.io.Serializable

  Request details for `SchAgentState`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `provideStateInfo` Provide schedule state descriptive information or not
    `protected boolean` | `provideTeamHistory` Tells whether to use agent's Team History when returning the schedule or simply return current agent's Team ID
    `private static long` | `serialVersionUID`
    `protected int` | `stateLayout` State layout `ESchStateLayout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getStateLayout()` Gets the value of the stateLayout property.
    `int` | `hashCode()`
    `boolean` | `isProvideStateInfo()` Gets the value of the provideStateInfo property.
    `boolean` | `isProvideTeamHistory()` Gets the value of the provideTeamHistory property.
    `void` | `setProvideStateInfo(boolean value)` Sets the value of the provideStateInfo property.
    `void` | `setProvideTeamHistory(boolean value)` Sets the value of the provideTeamHistory property.
    `void` | `setStateLayout(int value)` Sets the value of the stateLayout property.
    `java.lang.String` | `toString()`
    `SchStateDetails` | `withProvideStateInfo(boolean value)`
    `SchStateDetails` | `withProvideTeamHistory(boolean value)`
    `SchStateDetails` | `withStateLayout(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### stateLayout

          protected int stateLayout

      State layout `ESchStateLayout`

    - #### provideStateInfo

          protected boolean provideStateInfo

      Provide schedule state descriptive information or not

    - #### provideTeamHistory

          protected boolean provideTeamHistory

      Tells whether to use agent's Team History when returning the schedule or simply return current agent's Team ID

  - ### Constructor Detail

    - #### SchStateDetails

          public SchStateDetails()

  - ### Method Detail

    - #### getStateLayout

          public int getStateLayout()

      Gets the value of the stateLayout property.

    - #### setStateLayout

          public void setStateLayout(int value)

      Sets the value of the stateLayout property.

    - #### isProvideStateInfo

          public boolean isProvideStateInfo()

      Gets the value of the provideStateInfo property.

    - #### setProvideStateInfo

          public void setProvideStateInfo(boolean value)

      Sets the value of the provideStateInfo property.

    - #### isProvideTeamHistory

          public boolean isProvideTeamHistory()

      Gets the value of the provideTeamHistory property.

    - #### setProvideTeamHistory

          public void setProvideTeamHistory(boolean value)

      Sets the value of the provideTeamHistory property.

    - #### withStateLayout

          public SchStateDetails withStateLayout(int value)

    - #### withProvideStateInfo

          public SchStateDetails withProvideStateInfo(boolean value)

    - #### withProvideTeamHistory

          public SchStateDetails withProvideTeamHistory(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.